<?php

F::loadClasses([
  'adrienpayet\\comments\\BaseComment' => __DIR__ . '/src/BaseComment.php',
  'adrienpayet\\comments\\Comment' => __DIR__ . '/src/Comment.php',
  'adrienpayet\\comments\\Reply' => __DIR__ . '/src/Reply.php',
  
  'adrienpayet\\D2P\\data\\Position' => __DIR__ . '/../classes/Position.php',
  'adrienpayet\\D2P\data\Author' => __DIR__ . '/../classes/Author.php',
  'adrienpayet\\D2P\\data\\location\\Location' => __DIR__ . '/../classes/location/Location.php',
  'adrienpayet\\D2P\\data\\location\\PageDetails' => __DIR__ . '/../classes/location/PageDetails.php',
  'adrienpayet\\D2P\\data\\location\\ProjectDetails' => __DIR__ . '/../classes/location/ProjectDetails.php',
  'adrienpayet\\D2P\\data\\location\\FileDetails' => __DIR__ . '/../classes/location/FileDetails.php',
]);

Kirby::plugin('adrienpayet/kirby4-comments', [
  'routes' => [
    require(__DIR__ . '/routes/create.php'),
    require(__DIR__ . '/routes/update.php'),
    require(__DIR__ . '/routes/delete.php'),
    require(__DIR__ . '/routes/reply.php'),
    require(__DIR__ . '/routes/read.php'),
  ]
]);
